LibreOffice: Model Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

List of all members
Model Service Reference

`import"Model.idl";`

Inheritance diagram for Model:

## Additional Inherited Members
Exported Interfaces inherited from XModel2
interface | com::sun::star::xforms::XModel
interface | com::sun::star::beans::XPropertySet
Public Member Functions inherited from XModel
string | getID ()
| get the XForms model ID More...
void | setID ([in] string id)
| set the XForms model ID More...
void | initialize ()
| initialize the model More...
void | rebuild ()
| rebuild the model More...
void | recalculate ()
| re-evaluate all calculate attributes More...
void | revalidate ()
| re-evaluate all validity attributes More...
void | refresh ()
| refresh the model More...
void | submit ([in] string id) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| submit form through given submission id More...
void | submitWithInteraction ([in] string id, [in] com::sun::star::task::XInteractionHandler aHandler) raises ( com::sun::star::util::VetoException, com::sun::star::lang::WrappedTargetException )
| submit form through given submission id More...
XDataTypeRepository | getDataTypeRepository ()
| provides management access to the XSD data types associated with the model More...
com::sun::star::container::XSet | getInstances ()
| gets container containing all instances; More...
com::sun::star::xml::dom::XDocument | getInstanceDocument ([in] string id)
| retrieves the instance with the given id More...
com::sun::star::xml::dom::XDocument | getDefaultInstance ()
| get the default instance for this model More...
com::sun::star::beans::XPropertySet | createBinding ()
| create a binding element for this model More...
com::sun::star::beans::XPropertySet | cloneBinding ([in] com::sun::star::beans::XPropertySet binding)
| clone an arbitrary binding element for this model; still needs More...
com::sun::star::beans::XPropertySet | getBinding ([in] string id)
| get a binding with a certain ID More...
com::sun::star::container::XSet | getBindings ()
| get a container containing all bindings; also supports XNameAccess More...
XSubmission | createSubmission ()
| create a submission element for this model More...
XSubmission | cloneSubmission ([in] com::sun::star::beans::XPropertySet submission)
| clone an arbitrary submission element for this model More...
XSubmission | getSubmission ([in] string id)
| get a submission with a certain ID. More...
com::sun::star::container::XSet | getSubmissions ()
| get container containing all submissions; also supports XNameAccess More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.1

The documentation for this service was generated from the following file:

- com/sun/star/xforms/Model.idl